/*
	Includes
*/
#include "stdint.h"
#include "receive.h"
#include "stm32f4xx_conf.h"
/*
	Globale Variablen
*/
int nibble=0; 
char msc=0x00; //most significant char
char lsc=0x00; //last significant char


/**
  * @brief  Zeichen empfangen puffern und mit USART weiterschicken
  * @param  None
  * @retval None
  */
void rcv_data(void){

	if (nibble == 0){ // die ersten 4-Bits werden hier abgefragt (0000XXXX)
		
		msc = GPIO_ReadInputData(GPIOC) & 0x0F; // Pin0-Pin3 einlesen in Variable(Binr mit 00001111 verknpfen) = MSB/C
		msc <<= 4; // bitweise nach links um 4 Stellen verschieben (eg. 00001111 wird zu 11110000)
		// switch
		nibble = 1; // auf 1 setzen damit die nchsten 4-Bit abgefragt werden knnen 
		
	}else{ // letzen 4-Bit einlesen (XXXX0000)

		lsc = GPIO_ReadInputData(GPIOC) & 0x0F; // Pin0-Pin3 einlesen in Variable(Binr mit 00001111 verknpfen) = LSB/C
		if (nibble == 1)
		{
			msc |= lsc; // msc und lsc oder verknpft :) 
			while(USART_GetFlagStatus(USART2, USART_FLAG_TXE) != SET) {} // warten bis TXE FLAG nicht gesetzt ist
			
			USART_SendData(USART2,msc); // Zeichen senden
			msc = 0x00;	 // zrcksetzen
		}
		
		nibble=0; // zurcksetzen
		
	}
		
}


		


